Skip to main content
GET
/
2
/
users
/
{id}
/
bookmarks
/
folders
ブックマークフォルダを取得する
curl --request GET \
  --url https://api.x.com/2/users/{id}/bookmarks/folders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "1146654567674912769",
      "name": "<string>"
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "meta": {
    "next_token": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

結果を返す対象となる認証済みの発信元ユーザーのID。 このユーザーの一意の識別子。認証済みユーザーと同じ値でなければなりません。

Example:

"2244994945"

Query Parameters

max_results
integer<int32>

返却される結果の最大件数。

Required range: 1 <= x <= 100
pagination_token
string

結果の次のページを取得するために使用されるパラメータです。 Base36 形式のページネーショントークン。

Minimum string length: 1

Response

リクエストは成功しました。

data
object[]
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。

meta
object